Subject: [Celinux-dev] PDF documentation

From: [email-masked] (Tim Bird)
Date: Wed, 17 Oct 2012 15:04:29 -0700

On 10/17/2012 12:26 PM, Constantine Shulyupin wrote:
> On Wed, Oct 17, 2012 at 6:51 PM, Peter Stuge <[email-masked]> wrote:
>> Constantine Shulyupin wrote:
>>> Peter, can you please just send me some links to most frequently
>>> used online PDF?
>>
>> I don't have a particular PDF that is used more frequently than
>> others. Here's one I used recently, for a common flash chip:
>>
>> http://www.macronix.com/QuickPlace/hq/PageLibrary4825740B00298A3B.nsf/h_Index/DBACA1C90564EBB248257639003A563A/$File/MX29GL128E,%203V%20(VI-O),%20128Mb,%20v1.5.pdf
>>
>>> I would like to convert them to html and see how usable it is.
> 
> I've converted you pdf and uploaded to a site:
> http://makelinux.net/lib/macronix/MX29GL128E/
> 
> It can't even approach to replase PDF,  but it adds possibility to
> send in a e-mail link to a specific page:
> COMMON FLASH MEMORY INTERFACE (CFI) MODE:
> http://makelinux.net/lib/macronix/MX29GL128E/doc-34
> http://makelinux.net/lib/macronix/MX29GL128E/doc-35

Being able to reference an individual page, table or section of a PDF
with a click would indeed be a nice feature.

Being able to identify a page of an existing online PDF is already
possible with URLs.  See
http://stackoverflow.com/questions/125632/is-it-possible-to-link-to-a-bookmark-within-a-pdf-using-url-parameters

So, the following would get you to page 34, in the original PDF:
http://www.macronix.com/QuickPlace/hq/PageLibrary4825740B00298A3B.nsf/h_Index/DBACA1C90564EBB248257639003A563A/$File/MX29GL128E,%203V%20(VI-O),%20128Mb,%20v1.5.pdf#page=34

> Here is jet another document, huge 5K pages DS of OMAP4460:
> http://makelinux.net/lib/ti/OMAP4460/
> http://makelinux.net/lib/ti/OMAP4460/doc-outline
> OMAP4460 USBPHY Registers: http://makelinux.net/lib/ti/OMAP4460/doc-5464
> Debug Modules Memory Mapping: http://makelinux.net/lib/ti/OMAP4460/doc-5845
> 
> How it looks?
> Can it be useful?

Careful there.  These documents are copyright.  Even though the OMAP4460 document
says it is "public", I'm not sure it's legal to post verbatim contents to a web site.

So - useful or not, I'm worried it's not legal.
 -- Tim

=============================
Tim Bird
Architecture Group Chair, CE Workgroup of the Linux Foundation
Senior Staff Engineer, Sony Network Entertainment
=============================